import Vue from "vue";
import store from "./store";
import App from "./App";
import uView from "uview-ui";

import empty from "@/components/empty/empty.vue";
import uniTable from "@/components/uni-table/uni-table/uni-table.vue";
import uniTbody from "@/components/uni-table/uni-tbody/uni-tbody.vue";
import uniThead from "@/components/uni-table/uni-thead/uni-thead.vue";
import uniTr from "@/components/uni-table/uni-tr/uni-tr.vue";
import uniTh from "@/components/uni-table/uni-th/uni-th.vue";
import uniTd from "@/components/uni-table/uni-td/uni-td.vue";

Vue.component("Empty", empty);
Vue.component("UniTable", uniTable);
Vue.component("UniTbody", uniTbody);
Vue.component("UniThead", uniThead);
Vue.component("UniTr", uniTr);
Vue.component("UniTh", uniTh);
Vue.component("UniTd", uniTd);
Vue.use(uView);
Vue.config.productionTip = false;
Vue.prototype.$filePath = "https://file.zcloudchina.com/YTHFile";
App.mpType = "app";
const app = new Vue({
  ...App,
  store,
});
app.$mount();
